vigra - LabelOptions Class Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| LabelOptions Class Reference Connected Components Labeling |

Option object for labelMultiArray(). More...

`#include <vigra/multi_labeling.hxx>`

Inheritance diagram for LabelOptions:

## Public Member Functions
template<class T >
T | getBackgroundValue () const
| Get the background value to be ignored. More...
NeighborhoodType | getNeighborhood () const
| Query the neighborhood type (direct or indirect).
bool | hasBackgroundValue () const
| Check if some background value is to be ignored.
template<class T >
LabelOptions & | ignoreBackgroundValue (T const &t)
| Set background value. More...
| LabelOptions ()
| Set default options.
LabelOptions & | neighborhood (NeighborhoodType n)
| Choose direct or indirect neighborhood. More...

## Detailed Description

Option object for labelMultiArray().

## Member Function Documentation

LabelOptions& neighborhood | ( | NeighborhoodType | n | ) |

Choose direct or indirect neighborhood.

Default: `DirectNeighborhood`

LabelOptions& ignoreBackgroundValue | ( | T const & | t | ) |

Set background value.

If specified, labelMultiArray() will internally call labelMultiArrayWithBackground() with the given value considered as background and thus ignored. If no background value is set, the array gets labeled completely. Note that the type `T` must correspond to the element type of the data array to be labeled.

Default: don't ignore any value.

T getBackgroundValue | ( |  | ) | const

Get the background value to be ignored.

Throws an exception if the stored background value type is incompatible to the data array's value type.

The documentation for this class was generated from the following file:

- vigra/multi_labeling.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.11.1 (Fri May 19 2017)